sc::SphericalTransformIter Class Reference

This iterates through the components of a SphericalTransform. More...

`#include <transform.h>`

Collaboration diagram for sc::SphericalTransformIter:
[legend]

## Public Member Functions

| SphericalTransformIter (const SphericalTransform *)
void | begin ()
void | start ()
void | next ()
int | ready ()
| operator int ()
int | l ()
int | cartindex ()
int | pureindex ()
int | bfn ()
double | coef ()
int | a ()
int | b ()
int | c ()
int | l (int i)
int | n ()

## Protected Attributes

const SphericalTransform * | transform_

## Detailed Description

This iterates through the components of a SphericalTransform.

The documentation for this class was generated from the following file:

- chemistry/qc/basis/transform.h